can't upgrade JB ipad2 to 5.0.1: error 21

Discussion in 'iPad Hacking' started by leland, Jan 24, 2012.

  1. leland
    Offline

    leland iPF Novice

    Joined:
    May 8, 2011
    Messages:
    11
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    Hi all,

    Each time I try to upgrade my JB iPad2 to 5.0.1 I get Error 21 while restoring as part of the upgrade.

    Can anyone help?

    Thus far I've tried:
    -Rebooting/restarting/etc
    -Changing TinyUmbrella so that set Cydia hosts on exit is NOT set
    -Breaking my junction for the backup

    Can anyone help?
  2. Mickey330
    Offline

    Mickey330 Administrator Staff Member

    Joined:
    Aug 30, 2010
    Messages:
    11,545
    Thanks Received:
    1,814
    Trophy Points:
    113
    Location:
    Western NY state (USA)
    Ratings:
    +1,981 / 0
  3. leland
    Offline

    leland iPF Novice

    Joined:
    May 8, 2011
    Messages:
    11
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    Tried that and am in DFU mode. But now... "the iPad could not be restored because the firmware file is not compatible"

    AAARGH!!!?!?!

    How the hell do I upgrade to 5.0.1?
  4. leland
    Offline

    leland iPF Novice

    Joined:
    May 8, 2011
    Messages:
    11
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    Ok, and now it works... Bizarre. Honestly I don't think I did anything other than plug and unplug the iPad to restart iTunes. God help someone who has to troubleshoot Apple stuff for a living.

Share This Page

Search tags for this page
5.1.1 jb error 21
,
error 21
,
error 21 ipad2
,

ipad 2 error 21

,
ipad cannot restore error 21
,
ipad cant upgrade error 21
,

ipad could not be restored error 21

,
ipad error 21
,
ipad2 error 21
,
jb 21 error
,
restoring error 21
,

the ipad could not be restored 21

,

the ipad could not be restored error 21

,
upgrade